Page MenuHomePhabricator

IL donation form: CVV field only allows three digits, blocks AmEx donors
Closed, ResolvedPublic

Description

An Israeli donor reported and we've replicated that the Adyen/IL donation form only allows three digits in the CVV field - this blocks AmEx donors from using their cards.

Event Timeline

MBeat33 created this task.Jun 14 2016, 3:10 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 14 2016, 3:10 PM
MBeat33 triaged this task as Unbreak Now! priority.Jun 14 2016, 3:10 PM
Restricted Application added subscribers: Luke081515, TerraCodes, Urbanecm. · View Herald TranscriptJun 14 2016, 3:10 PM
MBeat33 added a subscriber: Ejegg.Jun 14 2016, 3:34 PM

@Ejegg asked Adyen to change maxlength=3 attribute to maxlength=4

Ejegg added a comment.Jun 14 2016, 3:36 PM

Also looking into putting some script into the footer of the HPP skin to fix it.

Change 294392 had a related patch set uploaded (by Ejegg):
Check in Adyen iframe skin

https://gerrit.wikimedia.org/r/294392

Change 294394 had a related patch set uploaded (by Ejegg):
Adyen iframe hacks to fix CVV input

https://gerrit.wikimedia.org/r/294394

Live site is accepting 4 digit CVV now.

Awesome, thank you all!

Change 294392 merged by jenkins-bot:
Check in Adyen iframe skin

https://gerrit.wikimedia.org/r/294392

Change 294394 merged by jenkins-bot:
Adyen iframe hacks to fix CVV input

https://gerrit.wikimedia.org/r/294394

Dzahn lowered the priority of this task from Unbreak Now! to Needs Triage.Jul 16 2016, 12:12 AM
DStrine assigned this task to Ejegg.Jul 26 2016, 8:17 PM
Ejegg closed this task as Resolved.Aug 3 2016, 10:18 PM